EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetLatestExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Executions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the latest completed with the specified name.'
GO

IF OBJECT_ID('[Executions_GetLatestExecution]') IS NOT NULL DROP PROCEDURE [Executions_GetLatestExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetLatestExecution]
(
	@ExecutionName_Text VARCHAR(200)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT TOP 1 *
	  FROM [Executions] WITH (READUNCOMMITTED)
	 WHERE [ExecutionName_Text] = @ExecutionName_Text
	   AND [ExecutionRunState_Code] = 'C'
	 ORDER BY [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [Executions_GetLatestExecution] TO [InedoSecurityLabsUser_Role]
