EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Prompts_CreateOrUpdatePrompt',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Prompt_Id',
    /* Description_Text        */ 'Creates or updates a prompt.'
GO

IF OBJECT_ID('[Prompts_CreateOrUpdatePrompt]') IS NOT NULL DROP PROCEDURE [Prompts_CreateOrUpdatePrompt]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Prompts_CreateOrUpdatePrompt]
(
	@Title_Text VARCHAR(50),
	@Prompt_Text VARCHAR(MAX),
	@Prompt_Id INT = NULL OUT
)
AS
BEGIN
    SET NOCOUNT ON


	IF @Prompt_Id IS NOT NULL
	BEGIN
		UPDATE [Prompts]
		SET [Title_Text] = @Title_Text,
            [Prompt_Text] = @Prompt_Text
		WHERE [Prompt_Id] = @Prompt_Id
	END
	ELSE
	BEGIN
		INSERT INTO [Prompts]
		(
			[Title_Text],
            [Prompt_Text]
		)
		VALUES
		(
			@Title_Text,
            @Prompt_Text
		)
        SET @Prompt_Id = SCOPE_IDENTITY()
	END

END
GO

GRANT EXECUTE ON [Prompts_CreateOrUpdatePrompt] TO [InedoSecurityLabsUser_Role]
GO