EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_CreateOrUpdateCwe',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Creates or updates a CWE.'
GO

IF OBJECT_ID('[Vulnerabilities_CreateOrUpdateCwe]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_CreateOrUpdateCwe]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [Vulnerabilities_CreateOrUpdateCwe]
(
	@Cwe_Id INT,
	@Title_Text VARCHAR(500)
)
AS
BEGIN
    SET NOCOUNT ON

	DECLARE @FoundCwe_Id INT = (SELECT [Cwe_Id] FROM [Cwes] WHERE [Cwe_Id] = @Cwe_Id)
	IF @FoundCwe_Id IS NOT NULL
	BEGIN
		UPDATE [Cwes]
		SET [Title_Text] = @Title_Text
		WHERE [Cwe_Id] = @Cwe_Id
	END
	ELSE
	BEGIN
		INSERT INTO [Cwes]
		(
			[Cwe_Id],
			[Title_Text]
		)
		VALUES
		(
			@Cwe_Id,
			@Title_Text
		)
	END

END
GO

GRANT EXECUTE ON [Vulnerabilities_CreateOrUpdateCwe] TO [InedoSecurityLabsUser_Role]
GO