EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_DeleteVulnerabilityAnalysis',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an analysis for a vulnerability.'
GO

IF OBJECT_ID('[Vulnerabilities_DeleteVulnerabilityAnalysis]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_DeleteVulnerabilityAnalysis]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [Vulnerabilities_DeleteVulnerabilityAnalysis]
(
	@Vulnerability_Id INT
)
AS
BEGIN
    SET NOCOUNT ON

    DELETE FROM [VulnerabilityAnalysis]
    WHERE [Vulnerability_Id] = @Vulnerability_Id

END
GO

GRANT EXECUTE ON [Vulnerabilities_DeleteVulnerabilityAnalysis] TO [InedoSecurityLabsUser_Role]
GO