EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerability',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended(1),VulnerabilityPackages,Cwes',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about a vulnerability.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerability]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerability]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerability]
(
	@UniqueId_Text VARCHAR(20)
)
AS
BEGIN
    SET NOCOUNT ON

	SELECT *
	  FROM [Vulnerabilities_Extended]
	 WHERE [UniqueId_Text] = @UniqueId_Text

	SELECT VP.*
	  FROM [VulnerabilityPackages] VP
	       INNER JOIN [Vulnerabilities] V
		           ON V.[Vulnerability_Id] = VP.[Vulnerability_Id]
	 WHERE V.[UniqueId_Text] = @UniqueId_Text

	SELECT DISTINCT CWE.*
	  FROM [Vulnerabilities_Extended] V
	  	CROSS APPLY STRING_SPLIT(V.[CweNumbers_Csv], ',')
	  LEFT JOIN [Cwes] CWE
	  	ON CWE.[Cwe_Id] = value
	  WHERE V.[UniqueId_Text] = @UniqueId_Text


END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerability] TO [InedoSecurityLabsUser_Role]
GO